# Class Jdk

java.lang.Object
org.gradle.plugins.ide.idea.model.Jdk

public class Jdk extends Object
Represents information for the project Java SDK. This translates to attributes of the ProjectRootManager element in the ipr.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Jdk(boolean assertKeyword, boolean jdk15, String languageLevel, String projectJdkName)`
  Creates a new `Jdk`.
  `Jdk(String jdkName, IdeaLanguageLevel ideaLanguageLevel)`
  Creates a new `Jdk`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getLanguageLevel()`
  Returns the language level.
  `String`
  `getProjectJdkName()`
  Returns the project jdk name.
  `int`
  `hashCode()`
  `boolean`
  `isAssertKeyword()`
  Returns whether assert keyword is set.
  `boolean`
  `isJdk15()`
  Returns whether jdk15 is set.
  `void`
  `setAssertKeyword(boolean assertKeyword)`
  Sets the assert keyword.
  `void`
  `setJdk15(boolean jdk15)`
  Sets the jdk15.
  `void`
  `setLanguageLevel(String languageLevel)`
  Sets the language level.
  `void`
  `setProjectJdkName(String projectJdkName)`
  Sets the project jdk name.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Jdk

    public Jdk(String jdkName, IdeaLanguageLevel ideaLanguageLevel)
    Creates a new `Jdk`.
    Since:
      1.0

  - ### Jdk

    public Jdk(boolean assertKeyword, boolean jdk15, String languageLevel, String projectJdkName)
    Creates a new `Jdk`.
    Since:
      2.14

- ## Method Details

  - ### isAssertKeyword

    public boolean isAssertKeyword()
    Returns whether assert keyword is set.
    Since:
      1.0

  - ### setAssertKeyword

    public void setAssertKeyword(boolean assertKeyword)
    Sets the assert keyword.
    Since:
      1.0

  - ### isJdk15

    public boolean isJdk15()
    Returns whether jdk15 is set.
    Since:
      1.0

  - ### setJdk15

    public void setJdk15(boolean jdk15)
    Sets the jdk15.
    Since:
      1.0

  - ### getLanguageLevel

    public String getLanguageLevel()
    Returns the language level.
    Since:
      1.0

  - ### setLanguageLevel

    public void setLanguageLevel(String languageLevel)
    Sets the language level.
    Since:
      1.0

  - ### getProjectJdkName

    public String getProjectJdkName()
    Returns the project jdk name.
    Since:
      1.0

  - ### setProjectJdkName

    public void setProjectJdkName(String projectJdkName)
    Sets the project jdk name.
    Since:
      1.0

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`